# Define Galaxy as a valid Proxy
<Proxy http://ambiance.med.utah.edu:6414>
    Order deny,allow
    Allow from all
</Proxy>
RewriteEngine on
RewriteRule ^/galaxy$ /galaxy/ [R]
RewriteRule ^/galaxy/static/style/(.*) /gen21/alex/Apps/galaxy_dist/static/june_2007_style/blue/$1 [L]
RewriteRule ^/galaxy/static/scripts/(.*) /gen21/alex/Apps/galaxy_dist/static/scripts/packed/$1 [L]
RewriteRule ^/galaxy/static/(.*) /gen21/alex/Apps/galaxy_dist/static/$1 [L]
RewriteRule ^/galaxy/favicon.ico /gen21/alex/Apps/galaxy_dist/static/favicon.ico [L]
RewriteRule ^/galaxy/robots.txt /gen21/alex/Apps/galaxy_dist/static/robots.txt [L]
RewriteRule ^/galaxy(.*) http://ambiance.med.utah.edu:6414$1 [P]
<Location "/galaxy">
    # Compress all uncompressed content.
    SetOutputFilter DEFLATE
    SetEnvIfNoCase Request_URI \.(?:gif|jpe?g|png)$ no-gzip dont-vary
    SetEnvIfNoCase Request_URI \.(?:t?gz|zip|bz2)$ no-gzip dont-vary
</Location>
<Location "/galaxy/root/display_as">
    Satisfy Any
    Order deny,allow
    Deny from all
    Allow from hgw1.cse.ucsc.edu
    Allow from hgw2.cse.ucsc.edu
    Allow from hgw3.cse.ucsc.edu
    Allow from hgw4.cse.ucsc.edu
    Allow from hgw5.cse.ucsc.edu
    Allow from hgw6.cse.ucsc.edu
    Allow from hgw7.cse.ucsc.edu
    Allow from hgw8.cse.ucsc.edu
</Location>
<Location "/galaxy/static">
    # Allow browsers to cache everything from /static for 6 hours
    ExpiresActive On
    ExpiresDefault "access plus 6 hours"
</Location>
